The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Glibc_2.3.2

Discussion in 'General Discussion' started by fmalekpour, Jun 27, 2003.

  1. fmalekpour

    fmalekpour Well-Known Member
    PartnerNOC

    Joined:
    Dec 4, 2002
    Messages:
    85
    Likes Received:
    0
    Trophy Points:
    6
    Syntax error on line 220 of /usr/local/apache/conf/httpd.conf:
    Cannot load /usr/local/apache/libexec/libphp4.so into server: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /usr/X11R6/lib/libX11.so.6)
    /etc/init.d/httpd start: httpd could not be started


    We just have this problem after latest upcp on one of our RH8 servers.

    Any idea?

    cPanel.net Support Ticket Number:
     
  2. fmalekpour

    fmalekpour Well-Known Member
    PartnerNOC

    Joined:
    Dec 4, 2002
    Messages:
    85
    Likes Received:
    0
    Trophy Points:
    6
    Seems no one else have this problem except a few guys in other forum, anyway I have just fixed that. Not sure work for all.

    WHM | Install an RPM -> try to install glibc and then glibc-common both with these options selected:
    Ignore Dependicies
    Force Install (required if reinstalling a package)

    Then start apache. Don't need to rebuild apache and it will work fine for us.

    PS: We have same problem on other RH8 boxes as well.

    Hope to be helpful.

    F.Malekpour

    cPanel.net Support Ticket Number:
     
  3. Robert_

    Robert_ Well-Known Member

    Joined:
    Apr 26, 2002
    Messages:
    89
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Arizona
    :cool:

    That worked just dandy.



    Thanks, Robert

    cPanel.net Support Ticket Number:
     
  4. elleryjh

    elleryjh Well-Known Member

    Joined:
    Apr 12, 2003
    Messages:
    479
    Likes Received:
    0
    Trophy Points:
    16
    FYI, I had the same problem. I did the above, and it worked great. Thanks.

    Also, I had to restart Exim because there was an SMTP error for outbound mail.

    cPanel.net Support Ticket Number:
     
  5. hostcp3

    hostcp3 Well-Known Member

    Joined:
    Jun 18, 2002
    Messages:
    156
    Likes Received:
    0
    Trophy Points:
    16
    thankyou very much for the correct solution to this issue, much appreciated you took the time to post this information.

    Worked 100%

    cPanel.net Support Ticket Number:
     
  6. SoHo

    SoHo Active Member

    Joined:
    May 7, 2003
    Messages:
    34
    Likes Received:
    0
    Trophy Points:
    6
    don't work for me..

    cPanel.net Support Ticket Number:
     
  7. Creazioni

    Creazioni Well-Known Member

    Joined:
    Jan 5, 2003
    Messages:
    133
    Likes Received:
    0
    Trophy Points:
    16
    i cry:(

    /usr/local/apache/bin/apachectl configtest
    Syntax error on line 215 of /usr/local/apache/conf/httpd.conf:
    Cannot load /usr/local/apache/libexec/libphp4.so into server: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /usr/X11R6/lib/libX11.so.6)

    cPanel.net Support Ticket Number:
     
  8. Creazioni

    Creazioni Well-Known Member

    Joined:
    Jan 5, 2003
    Messages:
    133
    Likes Received:
    0
    Trophy Points:
    16
    to look APACHE UP i downgrade withj easyapache 2

    now i do

    INSTALL FROM CPANEL glibc

    warning: /var/tmp/rpm-xfer.2pfXIy: V3 DSA signature: NOKEY, key ID db42a60e
    Retrieving http://updates.cpanel.net//redhat/updates/8.0/en/os/i386/glibc-2.3.2-4.80.6.i386.rpm
    Preparing... ##################################################
    glibc warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
    ##################################################
    Stopping sshd:[ OK ]
    sleep: /lib/i686/libpthread.so.0: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
    sleep: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
    Starting sshd:[ OK ]
    Install Complete

    ========

    install from cpanel glibc-common

    warning: /var/tmp/rpm-xfer.0vreG9: V3 DSA signature: NOKEY, key ID db42a60e
    Retrieving http://updates.cpanel.net//redhat/updates/8.0/en/os/i386/glibc-common-2.3.2-4.80.6.i386.rpm
    Preparing... ##################################################
    glibc-common ##################################################
    Install Complete




    i try restart >>OK ALL OK, but without GD2

    now i try easyapache with 4

    GOOOOOOOOOOOOODDDDDDDDD!!!!!!!!!!
    IT'S OKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKKK

    cPanel.net Support Ticket Number:
     
  9. hostcp3

    hostcp3 Well-Known Member

    Joined:
    Jun 18, 2002
    Messages:
    156
    Likes Received:
    0
    Trophy Points:
    16
    if it didn't work for you,

    you could try upgrading to edge version, we had done that just before finding the info here.

    cPanel.net Support Ticket Number:
     
  10. twhiting9275

    twhiting9275 Well-Known Member

    Joined:
    Sep 26, 2002
    Messages:
    538
    Likes Received:
    15
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Twitter:
    What happened here is that CPanel upgraded some rpm's without upgrading the rpm's those depended on, unfortunately. This should ONLY affect psyche (redhat 8) boxes, and maybe (if it's supported) redhat 9 boxes, and is very easy to fix.

    Find the rpms for glibc (there's a ton of them) and install them on your server, using either whm or the command prompt. once you've done this, you'll find you're set.

    cPanel.net Support Ticket Number:
     
  11. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    /scripts/rpmup should fix this as well.

    cPanel.net Support Ticket Number:
     
  12. Creazioni

    Creazioni Well-Known Member

    Joined:
    Jan 5, 2003
    Messages:
    133
    Likes Received:
    0
    Trophy Points:
    16
    NO i've a new problem

    CGI DON'T WORK!!!! into all site into 3 server

    and quota don't work
    and all
    /scripts/...... (/scripts/rpmup - quotafix - restart..etcc)

    don't work
    i receive

    Segmentation fault (core dumped)

    cPanel.net Support Ticket Number:
     
  13. Creazioni

    Creazioni Well-Known Member

    Joined:
    Jan 5, 2003
    Messages:
    133
    Likes Received:
    0
    Trophy Points:
    16
    i can't update cpane too:(:(:(:(

    cPanel.net Support Ticket Number:
     
  14. hostcp3

    hostcp3 Well-Known Member

    Joined:
    Jun 18, 2002
    Messages:
    156
    Likes Received:
    0
    Trophy Points:
    16
    Try rebooting bind, then try again to update.

    cPanel.net Support Ticket Number:
     
  15. Creazioni

    Creazioni Well-Known Member

    Joined:
    Jan 5, 2003
    Messages:
    133
    Likes Received:
    0
    Trophy Points:
    16
    reboot: just do it


    BIND:
    service named restart
    Stopping named: /etc/init.d/named: line 114: 3154 Segmentation fault (core dumped) /usr/sbin/rndc stop
    [FAILED]
    Starting named: /etc/init.d/named: line 114: 3161 Segmentation fault (core dumped) named -u named ${OPTIONS}
    [FAILED]




    i've a lot of core.*

    cPanel.net Support Ticket Number:
     
  16. hostcp3

    hostcp3 Well-Known Member

    Joined:
    Jun 18, 2002
    Messages:
    156
    Likes Received:
    0
    Trophy Points:
    16
    From Google

    http://forums.devshed.com/archive/15/2001/06/4/17371

    A segmentation fault is a memory error. Something tried to access a region of memory that it did not have rights to. This can be due either to a hardware fault, e.g., bad RAM, or a code problem, which is more likely in this case.

    Probably, there is something wrong with the Frontpage addition to your Apache installation. You do not mention the style of FP extensions addition you chose. Are you using a patched Apache daemon? Have you tried this with the prior version of FP extensions (4.x)? Are you using DSO modules or are they statically compiled in?

    cPanel.net Support Ticket Number:
     
  17. Stefaans

    Stefaans Well-Known Member

    Joined:
    Mar 5, 2002
    Messages:
    451
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Vancouver, Canada
    Got the first httpd restart errors this morning. Also RedHat 8, but using cPanel 6.4.2-S75 for some time already.

    Tried your advice to reinstall the glibc-common and glibc RPM's via WHM. The latter gave a segmentation fault. Now it's segmentation faults everywhere I look.

    Got Apache running without SSL. Exim is running but without entirelayd and spamd. Named is down as well.

    Opened a ticket. I am at the mercy of the cPanel support staff. :rolleyes:

    cPanel.net Support Ticket Number: 17463
     

Share This Page